<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Reservar aula</title>
    <link rel="stylesheet" href="stylesheets/reservarAmbiente.css" />
  </head>
  <body>
    <%- include('navbar'); %>
    <main>
      <form id="reservar-form" action="/api/reserva" method="POST">
        <label for="docente">Docente</label>
        <input
          id="docente"
          name="docente"
          value="Juan Perez"
          type="text"
          required
        />

        <label for="materia">Materia</label>
        <input
          id="materia"
          name="materia"
          value="Programacion"
          type="text"
          required
        />

        <label for="razon">Razon de reserva</label>
        <input id="razon" name="razon" type="area" />

        <div id="aula-capacidad">
          <label id="aulas-label" for="aulas">Aula</label>
          <select id="aulas" name="ambiente" required>
            <option value="">Aulas:</option>
            <% for(let amb of ambientes){ %>
            <option value="<%=amb.ambiente%>">
              <%=amb.ambiente%>&nbsp&nbsp&nbsp&nbsp&nbsp
              <!-- <%=amb.ambiente%>&nbsp&nbsp&nbsp&nbsp&nbsp<%=amb.capacidad%> -->
            </option>
            <% } %>
          </select>
          <label id="capacidad-label" for="capacidad">Capacidad</label>
          <p id="capacidad"></p>
        </div>

        <div id="filtro-container">
          <div id="capacidad-min">
            <label for="min-capacidad">Capacidad minima:</label>
            <input id="min-capacidad" type="number" />
          </div>
          <button id="filtro">Filtrar</button>
        </div>

        <label for="fecha">fecha</label>
        <input
          id="fecha"
          type="date"
          name="fecha"
          value="2023-01-01"
          min="2020-01-01"
          max="2024-12-30"
        />

        <label for="hora-ini">hora inicio</label>
        <select id="hora-ini" name="horaInicio" required>
          <option value="">Elige una hora</option>
          <% for(let hora of horas){ %>
          <option value="<%=hora  %>"><%=hora %></option>
          <% } %>
        </select>

        <label for="hora-fin">hora final</label>
        <select name="horaFin" id="hora-fin" required>
          <option value="">Elige una hora</option>
          <% for(let hora of horas){ %>
          <option value="<%=hora  %>"><%=hora %></option>
          <% } %>
        </select>

        <button id="submit" type="submit">Reservar</button>
      </form>
    </main>
    <script>
      let aulas;
      aulas = <%-JSON.stringify(ambientes) %>;
    </script>
    <script src="./scripts/reservarAmbiente.js"></script>
  </body>
</html>
